# norootforbuild

%define _prefix /usr

Name:				libtar
Summary:			libtar - C library for manipulating tar files
Version:			1.2.11
Release:			2.2
License:			BSD
Group:				System/Libraries
Source:			%{name}-%{version}.tar.bz2
Patch0:         libtar_1.2.11-4.diff.gz
URL:				http://www.feep.net/libtar/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel gcc-c++
Requires:			zlib

%description
libtar is a library for manipulating tar files from within C programs.

Here are some of its features:

* Handles both POSIX tar file format and the GNU extensions.
* API provides functions for easy use, such as tar_extract_all().
* Also provides functions for more granular use, such as tar_append_regfile().

Author: Mark D. Roth <roth@uiuc.edu>

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%{?suse_update_config:%{suse_update_config -f}}

%build
cp /usr/share/libtool/config.sub /usr/share/libtool/ltmain.sh autoconf
export CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"
%configure --disable-static

%__make

%install

make install \
	DESTDIR=%{buildroot}

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYRIGHT ChangeLog* INSTALL README TODO
%{_bindir}/%{name}
%{_libdir}/libtar*
%{_includedir}/libtar*
%{_mandir}/man3/*
#%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Dec 28 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

